add preliminary coldfire v4e support
[openwrt/openwrt.git] / toolchain / gcc / Config.in
1 # Choose gcc version.
2
3 choice
4 prompt "GCC compiler Version" if TOOLCHAINOPTS
5 default GCC_VERSION_3_4_6 if LINUX_2_4
6 default GCC_VERSION_4_2_4 if TARGET_avr32
7 default GCC_VERSION_4_2_4 if TARGET_ppc40x
8 default GCC_VERSION_4_2_4 if TARGET_ppc44x
9 default GCC_VERSION_4_3_3 if TARGET_ps3_petitboot
10 default GCC_VERSION_4_3_3 if TARGET_etrax
11 default GCC_VERSION_4_3_3 if TARGET_coldfire
12 default GCC_VERSION_4_1_2
13 help
14 Select the version of gcc you wish to use.
15
16 config GCC_VERSION_3_4_6
17 bool "gcc 3.4.6"
18
19 if !LINUX_2_4
20 config GCC_VERSION_4_1_2
21 bool "gcc 4.1.2"
22
23 config GCC_VERSION_4_2_4
24 bool "gcc 4.2.4"
25
26 config GCC_VERSION_4_3_3
27 bool "gcc 4.3.3"
28
29 config GCC_VERSION_4_4_0
30 bool "gcc 4.4.0"
31 endif
32
33 endchoice
34
35 config EABI_SUPPORT
36 bool
37 depends arm||armeb
38 prompt "Enable EABI support" if TOOLCHAINOPTS
39 default n if TARGET_gemini
40 default y
41 help
42 Enable ARM EABI support
43
44 config EXTRA_GCC_CONFIG_OPTIONS
45 string
46 prompt "Additional gcc options" if TOOLCHAINOPTS
47 default ""
48 help
49 Any additional gcc options you may want to include....
50
51 config SSP_SUPPORT
52 bool
53 depends !GCC_VERSION_3_4_6
54 prompt "Enable Smash Stacking Protection support" if TOOLCHAINOPTS
55 default n
56 help
57 Enable Smash Stacking Protection support
58
59 config INSTALL_LIBSTDCPP
60 bool
61 prompt "Build/install c++ compiler and libstdc++?" if TOOLCHAINOPTS
62 default y
63 help
64 Build/install c++ compiler and libstdc++?
65
66 config INSTALL_LIBGCJ
67 bool
68 prompt "Build/install java compiler and GNU classpath ?" if TOOLCHAINOPTS
69 default n
70 help
71 Build/install java compiler and GNU classpath ?